> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all SDKs

GET https://api.getpostman.com/sdks

Lists all SDKs the authenticated user has access to.

**Note:**

- Use the `sdkIds` parameter to get the generation build status of multiple SDKs in a single call.
- When you pass the `sdkIds` value, other filters are ignored and the response contains only the accessible SDKs from this list.


Reference: https://learning.postman.com/api-docs/api-reference/sd-ks/get-sdks

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /sdks:
    get:
      operationId: getSdks
      summary: Get all SDKs
      description: >
        Lists all SDKs the authenticated user has access to.


        **Note:**


        - Use the `sdkIds` parameter to get the generation build status of
        multiple SDKs in a single call.

        - When you pass the `sdkIds` value, other filters are ignored and the
        response contains only the accessible SDKs from this list.
      tags:
        - sdKs
      parameters:
        - name: workspaceId
          in: query
          description: The ID of the workspace that contains the SDK.
          required: true
          schema:
            $ref: '#/components/schemas/workspaceId'
        - name: sdkIds
          in: query
          description: >-
            A comma-separated list of SDK IDs to return in the response. If you
            pass this query parameter with other filters, the other filters are
            ignored.
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/sdkId'
        - name: buildStatus
          in: query
          description: Filter results by build status.
          required: false
          schema:
            $ref: '#/components/schemas/sdkBuildStatus'
        - name: language
          in: query
          description: Filter results by SDK language.
          required: false
          schema:
            $ref: '#/components/schemas/sdkLanguage'
        - name: sourceId
          in: query
          description: >-
            Filter results by the originating Postman Collection or
            specification ID.
          required: false
          schema:
            $ref: '#/components/schemas/sdkSourceId'
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 25. Any value greater than 25 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault25'
            default: 25
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SDKs_getSdks_Response_200'
        '400':
          description: Invalid Query
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sdkError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSdksRequestUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSdksRequestForbiddenError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSdksRequestInternalServerError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    workspaceId:
      type: string
      title: workspaceId
    sdkId:
      type: string
      description: The SDK's ID.
      title: sdkId
    sdkBuildStatus:
      type: string
      enum:
        - queued
        - in_progress
        - succeeded
        - failed
      description: >
        The SDK's build lifecycle:

        - `queued` — Accepted but not yet started.

        - `in_progress` — The SDK generation is running and in progress.

        - `succeeded` — The archive is built and available for download.

        - `failed` — The SDK generation failed. For information, check the
        `error` response.
      title: sdkBuildStatus
    sdkLanguage:
      type: string
      enum:
        - typescript
        - python
        - go
        - java
        - csharp
        - ruby
        - php
        - kotlin
        - rust
        - cli
      description: The target output language for the generated SDK.
      title: sdkLanguage
    sdkSourceId:
      type: string
      title: sdkSourceId
    cursor:
      type: string
      title: cursor
    limitDefault25:
      type: integer
      default: 25
      title: limitDefault25
    elementType-2:
      type: string
      enum:
        - collection
        - spec
      description: The type of Postman element.
      title: elementType-2
    sdkSource:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/elementType-2'
        id:
          type: string
          description: The ID of the Postman Collection or specification in Postman.
      required:
        - type
        - id
      description: The collection or specification that the SDK is generated from.
      title: sdkSource
    sdkErrorBuildStatusFailure:
      type: object
      properties:
        code:
          type: string
          description: The build failure's error code.
        message:
          type: string
          description: Information about the build failure.
      required:
        - code
        - message
      description: Information about the SDK build's status when `buildStatus` is `failed`.
      title: sdkErrorBuildStatusFailure
    sdkGitConnectionPRStatus:
      type: string
      enum:
        - open
        - merged
        - closed
      description: The lifecycle status of a pull request.
      title: sdkGitConnectionPRStatus
    sdkPullRequest:
      type: object
      properties:
        url:
          type: string
          format: uri
          description: The pull request's URL.
        status:
          $ref: '#/components/schemas/sdkGitConnectionPRStatus'
        sdkId:
          $ref: '#/components/schemas/sdkId'
      required:
        - url
        - status
        - sdkId
      description: >-
        If the SDK was shipped (or proposed for shipping) through a Git
        connection, this is a compact representation of the pull request that
        shipped it. Otherwise, this returns a `null` value.
      title: sdkPullRequest
    sdk:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/sdkId'
        language:
          $ref: '#/components/schemas/sdkLanguage'
        source:
          $ref: '#/components/schemas/sdkSource'
        workspaceId:
          type: string
          description: >-
            The ID of the workspace that owns the SDK, derived from the source
            entity.
        version:
          type: string
          description: >-
            The generated SDK's semantic version ID. This value is automatically
            assigned by the release/changelog pipeline.
        buildStatus:
          $ref: '#/components/schemas/sdkBuildStatus'
        error:
          $ref: '#/components/schemas/sdkErrorBuildStatusFailure'
        pullRequest:
          $ref: '#/components/schemas/sdkPullRequest'
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the SDK was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the SDK was last updated.
      required:
        - id
        - language
        - source
        - workspaceId
        - buildStatus
        - createdAt
        - updatedAt
      description: Information about the generated SDK.
      title: sdk
    metaNextCursorTotal:
      type: object
      properties:
        nextCursor:
          type:
            - string
            - 'null'
          description: >-
            The pagination cursor that points to the next record in the results
            set.
        total:
          type: integer
          description: The number of records found.
      description: The response's meta information for paginated results.
      title: metaNextCursorTotal
    sdkList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/sdk'
          description: A list of SDKs.
        meta:
          $ref: '#/components/schemas/metaNextCursorTotal'
      required:
        - data
        - meta
      title: sdkList
    SDKs_getSdks_Response_200:
      oneOf:
        - $ref: '#/components/schemas/sdkList'
      title: SDKs_getSdks_Response_200
    sdkError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        status:
          type: integer
          description: The error's HTTP status code.
        detail:
          type: string
          description: Information about the error.
        instance:
          type: string
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
        requestId:
          type: string
          description: The request's ID.
      required:
        - type
        - title
        - status
      title: sdkError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetSdksRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetSdksRequestUnauthorizedError
    GetSdksRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetSdksRequestForbiddenError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetSdksRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetSdksRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### A Page of SDKs



**Response**

```json
{
  "data": [
    {
      "buildStatus": "succeeded",
      "createdAt": "2026-06-02T14:11:09Z",
      "id": "5b1c8e4a-9d10-4f7a-91d0-2c2f3a4b5c6d",
      "language": "typescript",
      "source": {
        "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2",
        "type": "collection"
      },
      "updatedAt": "2026-06-02T14:12:55Z",
      "version": "1.0.0",
      "workspaceId": "7f6c5d4e-3b2a-1234-9876-abcdef012345"
    }
  ],
  "meta": {
    "nextCursor": null,
    "total": 1
  }
}
```

**SDK Code**

```python A Page of SDKs
import requests

url = "https://api.getpostman.com/sdks"

querystring = {"workspaceId":"1f0df51a-8658-4ee8-a2a1-d2567dfa09a9"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript A Page of SDKs
const url = 'https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go A Page of SDKs
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby A Page of SDKs
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java A Page of SDKs
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php A Page of SDKs
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp A Page of SDKs
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift A Page of SDKs
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter by Failed Builds



**Response**

```json
{
  "data": [
    {
      "buildStatus": "failed",
      "createdAt": "2026-06-02T14:11:09Z",
      "error": {
        "code": "spec_validation_failed",
        "message": "OpenAPI spec failed validation: missing operationId on GET /foo"
      },
      "id": "7e3a1b2c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
      "language": "python",
      "source": {
        "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d",
        "type": "spec"
      },
      "updatedAt": "2026-06-02T14:11:42Z",
      "workspaceId": "7f6c5d4e-3b2a-1234-9876-abcdef012345"
    }
  ],
  "meta": {
    "nextCursor": null,
    "total": 1
  }
}
```

**SDK Code**

```python Filter by Failed Builds
import requests

url = "https://api.getpostman.com/sdks"

querystring = {"workspaceId":"1f0df51a-8658-4ee8-a2a1-d2567dfa09a9"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Filter by Failed Builds
const url = 'https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter by Failed Builds
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter by Failed Builds
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Filter by Failed Builds
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Filter by Failed Builds
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Filter by Failed Builds
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Filter by Failed Builds
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter by Language



**Response**

```json
{
  "data": [
    {
      "buildStatus": "in_progress",
      "createdAt": "2026-06-02T15:02:00Z",
      "id": "8f4b2c3d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
      "language": "go",
      "source": {
        "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2",
        "type": "collection"
      },
      "updatedAt": "2026-06-02T15:02:05Z",
      "workspaceId": "7f6c5d4e-3b2a-1234-9876-abcdef012345"
    }
  ],
  "meta": {
    "nextCursor": null,
    "total": 1
  }
}
```

**SDK Code**

```python Filter by Language
import requests

url = "https://api.getpostman.com/sdks"

querystring = {"workspaceId":"1f0df51a-8658-4ee8-a2a1-d2567dfa09a9"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Filter by Language
const url = 'https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter by Language
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter by Language
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Filter by Language
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Filter by Language
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Filter by Language
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Filter by Language
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Batch-poll by ID



**Response**

```json
{
  "data": [
    {
      "buildStatus": "succeeded",
      "createdAt": "2026-06-02T14:11:09Z",
      "id": "5b1c8e4a-9d10-4f7a-91d0-2c2f3a4b5c6d",
      "language": "typescript",
      "source": {
        "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2",
        "type": "collection"
      },
      "updatedAt": "2026-06-02T14:12:55Z",
      "version": "1.0.0",
      "workspaceId": "7f6c5d4e-3b2a-1234-9876-abcdef012345"
    },
    {
      "buildStatus": "queued",
      "createdAt": "2026-06-02T16:00:00Z",
      "id": "6c2d9f5b-ae21-5089-a2e1-3d3f4b5c6d7e",
      "language": "java",
      "source": {
        "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2",
        "type": "collection"
      },
      "updatedAt": "2026-06-02T16:00:00Z",
      "workspaceId": "7f6c5d4e-3b2a-1234-9876-abcdef012345"
    }
  ],
  "meta": {
    "nextCursor": null,
    "total": 2
  }
}
```

**SDK Code**

```python Batch-poll by ID
import requests

url = "https://api.getpostman.com/sdks"

querystring = {"workspaceId":"1f0df51a-8658-4ee8-a2a1-d2567dfa09a9"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Batch-poll by ID
const url = 'https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Batch-poll by ID
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Batch-poll by ID
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Batch-poll by ID
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Batch-poll by ID
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Batch-poll by ID
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Batch-poll by ID
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```